Skip to main content

hasPatientConsentedToStudy

Returns if a patient has provided consent of a particular type to a study.

The study must have been added by the caller's organization.

Only one patient identifier should be provided as a query parameter.

Path Parameters
studyId string REQUIRED

Study id to check consent for

consentType string REQUIRED

Possible values: [DATA_AUTHORIZATION, PATIENT_DIRECTED_DATA_EXCHANGE, FUTURE_DATA_USE]

Which type of consent to check for

Query Parameters
includeReason boolean

Include to compute and return the reason for the consent decision.

externalId string

Patient external identifier

patientId string

HealthEx patient reference ID

mrn string

Patient Medical Record Number

phone string

Patient phone identifier

email string

Patient email identifier

Responses
200

Object containing information about the patient's consent

Schema OPTIONAL
consentType string

The type of consent that was recorded

hasPatientConsented boolean

Whether the patient consented or not

consentDataScopes object[]

What kinds of data the patient has consented to disclose. Null if the patient has not consented.

resourceScope string

Possible values: [CONTACT_INFO, MEDICATIONS, ALLERGIES, DIAGNOSES, LABS, DEMOGRAPHICS, CLINICAL_NOTES, VISITS, DIAGNOSTIC_REPORTS, CLINICAL_VITALS, PROCEDURES, IMMUNIZATIONS, IMAGING, TREATMENT_PLAN, GENOMIC_DATA, FAMILY_HISTORY, SOCIAL_HISTORY, ADMINISTRATIVE_AND_BILLING]

sensitivityScope string

Possible values: [NORMAL, HIV_OR_STI, SUBSTANCE_USE_OR_DRUG_ABUSE, MENTAL_HEALTH, GENETIC_TESTING, REPRODUCTIVE_HEALTH_DATA, PSYCHOTHERAPY_NOTES, SUD_PART_2, SICKLE_CELL]

consentRecordId string OPTIONAL

The ID of the consent record that recorded this consent. This ID can be used in subsequent API calls to get even more detail

expirationTimestamp date-time OPTIONAL

When this consent record expires, if applicable.

pdfUrl string OPTIONAL

The URL of the PDF of the consent record.

reason string OPTIONAL

Possible values: [CONSENTED, DECLINED, REVOKED, EXPIRED, NO_RESPONSE]

The reason for the consent decision. Only present if includeReason is true.

consentRecord object OPTIONAL

The consent record object for this consent.

id string
patientId string
studyId object
studyVersionId object
consentType string

Possible values: [DATA_AUTHORIZATION, PATIENT_DIRECTED_DATA_EXCHANGE, FUTURE_DATA_USE]

consentStatus string

Possible values: [OPTED_IN, OPTED_OUT]

timestamp date-time
expirationTimestamp date-time
consentStats object OPTIONAL
studySnapshotId object
consentConfigSnapshotId object
consentUIFlow string

Possible values: [PATIENT_DIRECTED_DATA_EXCHANGE]

uiHash object
language object
fullRecordWithoutRestrictedData object OPTIONAL
consentDataResourceScopes string[]

Possible values: [CONTACT_INFO, MEDICATIONS, ALLERGIES, DIAGNOSES, LABS, DEMOGRAPHICS, CLINICAL_NOTES, VISITS, DIAGNOSTIC_REPORTS, CLINICAL_VITALS, PROCEDURES, IMMUNIZATIONS, IMAGING, TREATMENT_PLAN, GENOMIC_DATA, FAMILY_HISTORY, SOCIAL_HISTORY, ADMINISTRATIVE_AND_BILLING]

consentDataSensitivityScopes string[]

Possible values: [NORMAL, HIV_OR_STI, SUBSTANCE_USE_OR_DRUG_ABUSE, MENTAL_HEALTH, GENETIC_TESTING, REPRODUCTIVE_HEALTH_DATA, PSYCHOTHERAPY_NOTES, SUD_PART_2, SICKLE_CELL]

providerId object
patientName object
signerName object
signingReason object
pagesViewed string[]
mp4Url object
posterUrl object
consentedByLink object
providerSignerName object
studyId object

The study that the consent was recorded for, or null in the case of an IAS consent

source string

Possible values: [STUDY, DEFAULTS, IAS]

If a patient explicitly gave or declined consent for a study, this will be STUDY. If a patient did not give a consent response at all, this will be DEFAULTS.

IAS indicates a consent that was given for the patient's own use, and will never be returned by this API.